## ceph 10.2.3

=== debian/changelog ===
ceph (10.2.3-0ubuntu2) yakkety; urgency=medium

  * d/control: Add Pre-Depends on ceph-common to ceph-osd to ensure
    that ceph user and group are created prior to unpacking of udev
    rules (LP: #1631328).
  * d/control: Drop surplus Recommends on ceph-common for ceph-mon, as
    it already has a in-direct Depends via ceph-base.

 -- James Page <james.page@ubuntu.com>  Sat, 08 Oct 2016 16:16:00 +0100

ceph (10.2.3-0ubuntu1) yakkety; urgency=medium

  * New upstream point release (LP: #1628809):
    - d/p/rocksdb-flags.patch: Dropped, included upstream.
    - d/p/*: Refreshed.
    - d/p/32bit-ftbfs.patch: Cherry pick fix for 32bit arch compat.
    - d/ceph-{fs-common,fuse}.install: Fix install locations
      for mount{.fuse}.ceph.
  * Limit the amount of data per chunk in omap push operations to 64k,
    ensuring that OSD threads don't hit timeouts during recovery
    operations (LP: #1628750):
    - d/p/osd-limit-omap-data-in-push-op.patch: Cherry pick fix from
      upstream master branch.

 -- James Page <james.page@ubuntu.com>  Thu, 29 Sep 2016 21:44:33 +0100

ceph (10.2.2-0ubuntu5) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:13:41 +0000

ceph (10.2.2-0ubuntu4) yakkety; urgency=medium

  * d/rules: Drop override_dh_strip from .PHONY to ensure files actually
    get stripped.

 -- James Page <james.page@ubuntu.com>  Wed, 20 Jul 2016 09:26:41 +0100

ceph (10.2.2-0ubuntu3) yakkety; urgency=medium

  * d/rules,control: Drop -dbg packages and let Ubuntu builds take care of
    ddeb generation instead.
  * d/ceph-mon.install: Only install .py files for ceph_rest_api module.

 -- James Page <james.page@ubuntu.com>  Tue, 19 Jul 2016 10:36:32 +0100

ceph (10.2.2-0ubuntu2) yakkety; urgency=medium

  * d/ceph.install,d/etc/*: Drop pm based power management scripts as they
    are not used under systemd (LP: #1455097).
  * d/*: Split ceph-osd and ceph-mon into separate binary packages and add
    new ceph-base binary package inline with upstream packaging changes
    (LP: #1596063).
  * d/rules,*.{postinst,prerm}: Drop install and management of upstart
    configuration files; this package version onwards will only ever
    target >= Xenial, which is a systemd baseline.

 -- James Page <james.page@ubuntu.com>  Thu, 14 Jul 2016 10:51:10 +0100

ceph (10.2.2-0ubuntu1) yakkety; urgency=medium

  * New upstream version (LP: #1585660):
    - d/ceph.install: Drop install of 60-ceph-partuuid-workaround.rules
      as no longer part of upstream codebase.
  * d/control: Bumped Standards-Version to 3.9.8, no changes.

 -- James Page <james.page@ubuntu.com>  Thu, 16 Jun 2016 17:40:04 +0100

ceph (10.2.1-0ubuntu2) yakkety; urgency=medium

  * d/ceph-common.{preinst,postinst,postrm}: Ensure that rename of
    /etc/default/ceph/ceph -> /etc/default/ceph is handled correctly
    and that any end-user changes are preserved (LP: #1587516).

 -- James Page <james.page@ubuntu.com>  Mon, 13 Jun 2016 20:53:52 +0100

ceph (10.2.1-0ubuntu1) yakkety; urgency=medium

  * New upstream version (LP: #1585660).
    - d/p/drop-user-group-osd-prestart.patch: Dropped, included upstream.
  * d/rules,ceph-common.install: Ensure that /etc/default/ceph is a file
    and not a directory (LP: #1587516).

 -- James Page <james.page@ubuntu.com>  Mon, 06 Jun 2016 09:23:35 +0100

ceph (10.2.0-0ubuntu1) yakkety; urgency=medium

  * Ceph Jewel stable release (LP: #1569249).

 -- James Page <james.page@ubuntu.com>  Thu, 21 Apr 2016 19:54:54 +0100
