## ceph 10.2.5

=== debian/changelog ===
ceph (10.2.5-6~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * [ff97be] Don't specify unsupported option --no-parallel

 -- Gaudenz Steinlin <gaudenz@debian.org>  Fri, 20 Jan 2017 17:12:00 +0100

ceph (10.2.5-6) unstable; urgency=medium

  * [e44a30] Disable running dh_auto_install with parallel jobs
    (Closes: #850906)
  * [b7e926] Link with libatomic and --as-needed on all archs (Closes: #850831)

 -- Gaudenz Steinlin <gaudenz@debian.org>  Wed, 11 Jan 2017 12:02:24 +0100

ceph (10.2.5-5) unstable; urgency=medium

  * [f4675d] Set _FILE_OFFSET_BITS=64 via DEB_CPPFLAGS_MAINT_APPEND
  * [f60392] Install systemd targets for ceph services (Closes: #850509)
  * [d3baba] Link with -latomic on mips/mipsel

 -- Gaudenz Steinlin <gaudenz@debian.org>  Tue, 10 Jan 2017 09:04:48 +0100

ceph (10.2.5-4) unstable; urgency=medium

  * [88034c] Build with ggc-min-expand=5 on mips/el (Closes: #849657)
  * [c31e79] Add patch to build rocksdb with -latomic on mips/el
  * [182dd8] NEWS entry about upgrades from Debian Jessie

 -- Gaudenz Steinlin <gaudenz@debian.org>  Sun, 08 Jan 2017 21:34:21 +0100

ceph (10.2.5-3) unstable; urgency=medium

  * [eeff8d] Use -mfloat-abi=softfp on armel for NEON plugin (Closes: #849660)

 -- Gaudenz Steinlin <gaudenz@debian.org>  Thu, 05 Jan 2017 09:18:41 +0100

ceph (10.2.5-2) unstable; urgency=medium

  * [3859ca] Only list missing files instead of failing (Closes: #849031)
  * [47aef7] Remove chrony from recommends (provides time-daemon)
    (Closes: #827673)
  * [3e96e6] Upstream fix for CVE-2016-9579 (short CORS request)
    (Closes: #849048)

 -- Gaudenz Steinlin <gaudenz@debian.org>  Sat, 24 Dec 2016 13:14:28 +0100

ceph (10.2.5-1) unstable; urgency=medium

  [ James Page ]
  * [754935] Imported Upstream version 9.2.0
    - [df85c3] Resync relevant packaging changes with upstream.
    - [be5f82] Refresh patches.
    - [d1f3fe] Add python-setuptools to BD's for ceph-detect-init.
    - [b2f926] Add lsb-release to BD's to ensure that python modules are
               installed to correct locations.
    - [e4d702] Add python-sphinx to BD's to ensure man pages get generated
               and installed.
    - [3ead6e] Correct install location for ceph-monstore-update tool.
    - [269754] [177b7a] Update symbols for new release.
  * [4c45629] Update NEWS file for infernalis changes.
  * [940491e] Limit number of parallel builds to 2 to reduce memory footprint
              on builders.
  * [a2bed4] New upstream version 10.2.5
  * [cbfb6b] Sync upstream changes around rbdmap install and conf files.
  * [5c52b2] Drop patches include upstream, refresh remaining patches
  * [8f9820] Resync further packaging changes from upstream.
  * [27d010] Re-add bz2-dev BD.
  * [e94aa2] Add python-dev to BD's.
  * [e201c1] d/p/pybind-flags.patch: Ensure that cython *FLAGS are correctly
             set.
  * [14cd12] d/p/fix-systemd-escaping.patch: Ensure that leading '/' is stripped
             from block device paths when escaping for use in systemd unit
             names.
  * [33b3aa] Add pull request for systemd fixes
  * [d781a2] d/ceph-mds.postinst: Fix syntax error.
  * [ce55ec] Ensure that python flags are correct set for cython rbd build.
  * [f9e35b] Switch rbd python binding to cython
  * [8ccae0] Drop ceph_volume_client until its actually in the codebase.
  * [0a11cc] Install to relative, not absolute /etc/ceph.
  * [e2415a] Drop ceph-bluefs-tool from ceph package.
  * [b16966] d/ceph-mds.dirs: Actually create /var/lib/ceph/mds prior to
             changing permissions (LP: #1544647).
  * [0c1201] d/ceph.init: Restore link to init-ceph, resolving un-install
             failures due to missing init script (LP: #1546112).

  [ Gaudenz Steinlin ]
  * [e3cb86] Remove no longer needed check for dh-autoreconf>=6
  * [9157b3] Install ceph-brag tool into ceph-common
  * [74e9f3] Install ceph-client-debug into ceph-test
  * [476449] Use jh_installlib to install Java libraries
  * [643f6e] Don't remove configure script on dh_clean
  * [4bb203] Remove *.la files to binary packages
  * [b76c6a] Add build dependency on libboost-iostreams-dev
  * [b0506f] Add build dependency on libldap2-dev
  * [526ce1] Refresh patches for upstream version 10.2.2
  * [cf539b] Remove patches applied upstream in 10.2.2

  [ James Page ]
  * [646b48] Add librgw2 binary packages.
  * [ae3cda] Drop virtualenv from BD's.
  * [7ebd7c] Re-enable rocksdb build for bluestore support
  * [e393e5] Add rbd-mirror package
  * [00d06d] Add patch to set g++ flags correctly for rocksdb
  * [3b029a] Enable gperftools on arm64 architecture.
  * [e88620] Add ceph-bluefs-tool to install.
  * [4f40a1] Add s390x to list of rocksdb flags
  * [858334] d/p/skip-setup.py-makefiles.patch,rules: Avoid use of virtualenv to
             install ceph-disk and ceph-detect-init python modules.
  * [40c3b7] Update watch file to scan for gz files.
  * [49b716] Install librgw_file* as part of ceph-test package.

  [ Gaudenz Steinlin ]
  * [2e156d] d/rules: Install upstart and systemd configurations for rbd-mirror.

  [ James Page ]
  * [ca0b07] d/copyright: Ensure that jerasure and gf-complete are not stripped
             from the upstream release tarball.
  * [eee861] d/p/disable-openssl-linking.patch: Disable build time linking with
             OpenSSL due to licensing incompatibilities.
  * [07d7a6] d/*.symbols: Add new symbols for RC.
  * [2416f1] Fix multiarch paths for librgw
  * [2da01d] d/rules: Ensure that dh_systemd_start does not insert maintainer
             script snippets for ceph-mon and ceph-create-keys - service restart
             should be handled outside of the packaging as it is under upstart
             and for all other systemd unit files installed (LP: #1563330).
  * [76ec3b] d/ceph-common.postinst: Silence output of usermod call
             (LP: #1569249).
  * [63d60f] d/rules,ceph-common.install: Ensure that /etc/default/ceph is a

