=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,10 @@
 
 # Limit parallel builds to 2 for now
 
-# minimise needless linking
-export DEB_LDFLAGS_MAINT_APPEND= -Wl,--as-needed
+# minimise needless linking and link to libatomic
+# The last is needed because long long atomic operations are not directly
+# supported by all processor architectures
+export DEB_LDFLAGS_MAINT_APPEND= -Wl,--as-needed -latomic
 
 # Enable hardening
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
@@ -44,6 +46,8 @@
 # Setup max parallel builds based on architecture
 ifeq ($(DEB_HOST_ARCH), arm64)
   maxparallel=1
+else ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+  maxparallel=$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 else
   maxparallel=2
 endif
@@ -51,19 +55,41 @@
 # Use system provided libs3
 extraopts += --with-system-libs3
 
+# Set _FILE_OFFSET_BITS=64 globally. While this is set by the build system
+# through an automake variable, configure does not know about this and thus
+# fails when testing xfs.h on 32bit systems.
+export DEB_CPPFLAGS_MAINT_APPEND=-D_FILE_OFFSET_BITS=64
+
+# Build fix for mips/mipsel
+# The first two variables work around a compiler bug which leads to virtual
+# memory exhaustion while compiling the testsuite. See Debian bug #849657.
+ifneq (,$(filter $(DEB_HOST_ARCH), mips mipsel))
+  export DEB_CFLAGS_MAINT_APPEND= --param ggc-min-expand=5
+  export DEB_CXXFLAGS_MAINT_APPEND= --param ggc-min-expand=5
+endif
+
 %:
 	dh $@ --with javahelper,python2,autoreconf,systemd --parallel --max-parallel=$(maxparallel)
 
-# use --as-needed only if supported by dh-autoreconf (to simplify backporting)
-DH_AS_NEEDED=$(shell dpkg --compare-versions $$(dpkg --status dh-autoreconf | grep Version | cut -d' ' -f2) ge 6 && echo --as-needed)
 override_dh_autoreconf:
-	dh_autoreconf $(DH_AS_NEEDED)
+	dh_autoreconf --as-needed
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(extraopts)
 
 override_dh_auto_install:
-	dh_auto_install --destdir=$(CURDIR)/debian/tmp
+	# At least on armel installation of the Python modules fails in weird ways
+	# when run in parallel. As this is probably not specific to armel but just only
+	# triggered there because the architecture is too slow, run without parallelism
+	# everywhere.
+	# On jessie using dh_auto_install without the parallel option should be enough to
+	# get a non-parallel run.
+	dh_auto_install
+
+override_dh_install:
+	# remove .la files, we don't want to install these in Debian,
+	# see Policy 10.2
+	find debian/tmp -name '*.la' -delete
 	# NOTE: manually install python modules to avoid virtualenvs
 	#       during the package build process.
 	set -e; for comp in ceph-detect-init ceph-disk; do \
@@ -75,11 +101,14 @@
 	rm -f $(CURDIR)/debian/tmp/usr/lib/*/ceph/erasure-code/libec_*.so.*
 	find $(CURDIR)/debian/tmp/usr/lib/*/ceph/erasure-code -type l -delete || :
 	install -D -m 644 src/etc-rbdmap $(CURDIR)/debian/tmp/etc/ceph/rbdmap
+	dh_install --list-missing
+
+override_dh_installchangelogs:
+	dh_installchangelogs ChangeLog
 
 override_dh_installinit:
 	dh_installinit --no-start
-	dh_installinit -pceph-common --name=rbdmap --no-start
-	dh_installinit -pceph-base --name ceph --no-start
+	dh_installinit -pceph-common --no-start --name=rbdmap
 	# install the systemd stuff manually since we have funny service names
 	# and need to update the paths in all of the files post install
 	# systemd:ceph-common
@@ -87,35 +116,39 @@
 	install -m0644 systemd/ceph.target debian/ceph-common/lib/systemd/system
 	install -d -m0755 debian/ceph-common/usr/lib/tmpfiles.d
 	install -m 0644 -D systemd/ceph.tmpfiles.d debian/ceph-common/usr/lib/tmpfiles.d/ceph.conf
-	# systemd:ceph
+	# systemd:ceph-base
 	install -d -m0755 debian/ceph-base/lib/systemd/system
+	install -m0644 systemd/ceph-create-keys@.service debian/ceph-base/lib/systemd/system
+	sed -i s./etc/sysconfig/./etc/default/.g debian/ceph-base/lib/systemd/system/ceph-create-keys@.service
+	# systemd:ceph-mon
 	install -d -m0755 debian/ceph-mon/lib/systemd/system
+	install -m0644 systemd/ceph-mon@.service debian/ceph-mon/lib/systemd/system
+	sed -i s./etc/sysconfig/./etc/default/.g debian/ceph-mon/lib/systemd/system/ceph-mon@.service
+	install -m0644 systemd/ceph-mon.target debian/ceph-mon/lib/systemd/system
+	# systemd:ceph-osd
 	install -d -m0755 debian/ceph-osd/lib/systemd/system
-	install -m0644 systemd/ceph-mon@.service debian/ceph-mon/lib/systemd/system
-	install -m0644 systemd/ceph-create-keys@.service debian/ceph-base/lib/systemd/system
 	install -m0644 systemd/ceph-osd@.service debian/ceph-osd/lib/systemd/system
 	install -m0644 systemd/ceph-disk@.service debian/ceph-osd/lib/systemd/system
-	sed -i s./etc/sysconfig/./etc/default/.g debian/ceph-mon/lib/systemd/system/ceph-mon@.service
-	sed -i s./etc/sysconfig/./etc/default/.g debian/ceph-base/lib/systemd/system/ceph-create-keys@.service
 	sed -i s./etc/sysconfig/./etc/default/.g debian/ceph-osd/lib/systemd/system/ceph-osd@.service
 	sed -i s./etc/sysconfig/./etc/default/.g debian/ceph-osd/lib/systemd/system/ceph-disk@.service
-	# NOTE(jamespage): Install previous ceph-mon/create-keys service from packaging for upgrades
-	install -m0644 debian/lib-systemd/system/ceph-mon.service debian/ceph-mon/lib/systemd/system
-	install -m0644 debian/lib-systemd/system/ceph-create-keys.service debian/ceph-base/lib/systemd/system
+	install -m0644 systemd/ceph-osd.target debian/ceph-osd/lib/systemd/system
 	# systemd:ceph-mds
 	install -d -m0755 debian/ceph-mds/lib/systemd/system
 	install -m0644 systemd/ceph-mds@.service debian/ceph-mds/lib/systemd/system
 	sed -i s./etc/sysconfig/./etc/default/.g debian/ceph-mds/lib/systemd/system/ceph-mds@.service
-	# NOTE(jamespage): Install previous ceph-mds service from packaging for upgrades
-	install -m0644 debian/lib-systemd/system/ceph-mds.service debian/ceph-mds/lib/systemd/system
+	install -m0644 systemd/ceph-mds.target debian/ceph-mds/lib/systemd/system
 	# systemd:radosgw
 	install -d -m0755 debian/radosgw/lib/systemd/system
 	install -m0644 systemd/ceph-radosgw@.service debian/radosgw/lib/systemd/system
 	sed -i s./etc/sysconfig/./etc/default/.g debian/radosgw/lib/systemd/system/ceph-radosgw@.service
+	install -m0644 systemd/ceph-radosgw.target debian/radosgw/lib/systemd/system
+	# disable SysV init file for systemd
+	ln -s /dev/null debian/radosgw/lib/systemd/system/radosgw.service
 	# systemd:rbd-mirror
 	install -d -m0755 debian/rbd-mirror/lib/systemd/system
 	install -m0644 systemd/ceph-rbd-mirror@.service debian/rbd-mirror/lib/systemd/system
 	sed -i s./etc/sysconfig/./etc/default/.g debian/rbd-mirror/lib/systemd/system/ceph-rbd-mirror@.service
+	install -m0644 systemd/ceph-rbd-mirror.target debian/rbd-mirror/lib/systemd/system
 
 override_dh_systemd_enable:
 	## Do not enable services to match `dh_installinit --no-start`
